python高级代码_python高级代码_python高级代码_python高级代码

时间时间间:05-09 综合整理:

老王python

, 标签:

运维

fabric的安装一也能再选择用python的pip安装一也能easy_install来安装一。在xubuntu下,我

这个用就是sudo apt-get install fabric来安装一

安装一完一开始这个是即将进入直接控制 台,接着improt fabric导入下模块,也能没报错,明显 安装一模块失败。

也能你不2.5若是 ,那也能写个声明:

from __future__ import with_statement

2.6+的可能不也能了。

先来演示三个最很很简单程序。

#!/usr/bin/python

from fabric.api import run

def host_os():



run('uname -s')

保存为test.py模块。

一开始她的 xubuntu也没安装一ssh附加服务,可能导致脚本运行报错:



fatal error: low level socket error connecting to host localhost:connection refused

接着方式fab命令来调用:fab -H 主机名 -f 文件名 一种方法

★网站部分内容来源网络,如不经意侵犯了您的权益请发送邮件联系我们在36小时内删除★。
本文链接:http://www.quxuepython.com/article/8515.html
上一篇:
上一篇: